#if 1
// Lancement normal Cinespace
#include <QApplication>
#include "cinespace.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    setlocale(LC_NUMERIC, "C");

#ifdef TESTCINESIM
// Juste pour voir le fonctionnement du module gestion du temps sans rien d'autre
    CineSim *simu = new CineSim();
    simu->show();
#else
    CineSpace *simu = new CineSpace();
    simu->show();
#endif

    return app.exec();
}
#else

// Test posplanetes
#ifdef TESTPOSTPLANETES
#include <stdio.h>
#include "../utils/cjulien/julien.h"
#include "espace/planetes.h"
static char strpla[][10] = {"Mercure", "Venus", "Terre", "Mars", "Jupiter", "Saturne", "Uranus", "Neptune"};
int main(int argc, char *argv[])
{
    int i;
    double coords[8];
    double J2000 = Date_J2000_j;
    double T = (dat2jul(2.5, 5, 2001) - J2000)/36525.;
    puts("Date 2 Mai 2001 a 12h");
    for (i = 0; i < 8; i++)
    {
        pospla(coords, T, i, true, false);
        printf("\nPosition %s :\n", strpla[i]);
        printf("x = %lf, y = %lf, z = %lf\n",coords[0], coords[1],coords[2]);
        printf("longitude : %lf, latitude : %lf, distance : %lf\n",coords[3]*57.295779515, coords[4]*57.295779515, coords[5]);
    }
    T = (dat2jul(20,12,1992) - J2000)/36525.;
    puts("Date 20 decembre 1992 a 0h");
    i = 1;
    pospla(coords, T, i, true, false);
    printf("\nPosition %s :\n", strpla[i]);
    printf("x = %lf, y = %lf, z = %lf\n",coords[0], coords[1],coords[2]);
    printf("longitude : %lf, latitude : %lf, distance : %lf\n",coords[3]*57.295779515, coords[4]*57.295779515, coords[5]);
}
#endif // TESTPOSPLANETES

#endif
